Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/08/2020 in all areas

  1. You can try something similar to this also... http://www.theswamp.org/index.php?topic=55509.msg596797#msg596797
    1 point
  2. Yes you can. - Getpoint - Create a ray line. - Then ssget with string mode "_X" for all polylines in current space. - Then iterate through all selected polylines then sort them based on their closets intersected point to the first point you picked then first element of the list must be the polyline that surrounds the point. Good luck.
    1 point
  3. Try this: (defun _pair:coordinates (l) (if l (cons (list (car l) (cadr l)) (_pair:coordinates (cddr l))) ) ) Usage of the above function: (_pair:coordinates '(1.0 2.0 3.0 4.0 5.0 6.0 7.0 8.0 9.0))
    1 point
  4. (defun C:pp (/ lyr lyr1) (setq lyr (getvar "clayer")) (if (not (tblsearch "layer" "e-pole")) (princ "\nlayer e-pole not present") (progn (setvar "clayer" "e-pole") (command "-insert" "-ex pole" pause "xyz" 1. 1. 1. "0") (setvar "clayer" lyr) ) ) (princ) ) just tried the "xyz" option but it works ok
    1 point
  5. One I use for 2d or 3d ; convert now to xyz (defun co-ords2xy () (if (= xyz 2) (progn (setq I 0) (repeat numb (setq xy (list (nth i co-ords)(nth (+ I 1) co-ords) )) (setq co-ordsxy (cons xy co-ordsxy)) (setq I (+ I 2)) ) ) ) ) (if (= xyz 3) (progn (setq I 0) (repeat numb (setq xy (list (nth i co-ords)(nth (+ I 1) co-ords)(nth (+ I 2) co-ords) )) (setq co-ordsxy (cons xy co-ordsxy)) (setq I (+ I 3)) ) ) ) )
    1 point
  6. Here are some general functions.
    1 point
  7. (defun KGA_List_Divide_2 (lst / ret) (repeat (/ (length lst) 2) (setq ret (cons (list (car lst) (cadr lst)) ret)) (setq lst (cddr lst)) ) (reverse ret) )
    1 point
×
×
  • Create New...